aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sipp/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2011-12-11 02:30:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-16 14:48:45 +0000
commit89380c29bd634764ed6c56b4fe079862eba9b59f (patch)
treee90712957cec70d9d24fede486a9042793fab732 /testing/sipp/APKBUILD
parentec37eb3045e3874296ab5f9c154e29dc4c158c84 (diff)
downloadaports-89380c29bd634764ed6c56b4fe079862eba9b59f.tar.gz
aports-89380c29bd634764ed6c56b4fe079862eba9b59f.tar.bz2
aports-89380c29bd634764ed6c56b4fe079862eba9b59f.tar.xz
Initial APKBUILD for sipp
Package description: SIPp is a free Open Source test tool / traffic generator for the SIP protocol. It includes a few basic SipStone user agent scenarios (UAC and UAS) and establishes and releases multiple calls with the INVITE and BYE methods. It can also reads custom XML scenario files describing from very simple to complex call flows. It features the dynamic display of statistics about running tests (call rate, round trip delay, and message statistics), periodic CSV statistics dumps, TCP and UDP over multiple sockets or multiplexed with retransmission management and dynamically adjustable call rates. Website: http://sipp.sourceforge.net/
Diffstat (limited to 'testing/sipp/APKBUILD')
-rw-r--r--testing/sipp/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/sipp/APKBUILD b/testing/sipp/APKBUILD
new file mode 100644
index 0000000000..6e22d4e187
--- /dev/null
+++ b/testing/sipp/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=sipp
+pkgver=3.2
+pkgrel=0
+pkgdesc="A test tool / traffic generator for the SIP protocol"
+url="http://sipp.sourceforge.net/"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="openssl-dev libpcap-dev ncurses-dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/$pkgname/$pkgname.svn.tar.gz"
+_builddir="$srcdir"/$pkgname.svn
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D "$_builddir"/$pkgname \
+ "$pkgdir"/usr/sbin/$pkgname || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="2a3a60cb4317dcf8eb5482f6a955e4d0 sipp.svn.tar.gz"